## net.sf.jftp.gui.base
Class UITool

    java.lang.Object
      net.sf.jftp.gui.base.UITool

    public class UITool

extends java.lang.Object

Constructor Summary
`UITool()`

Method Summary
`static boolean` `askToDelete(javax.swing.JComponent parent)`
`static boolean` `askToRun(javax.swing.JComponent parent)`
`static java.lang.String` `getPathFromDialog(java.lang.String path)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UITool

    public UITool()

Method Detail

### askToDelete

    public static boolean askToDelete(javax.swing.JComponent parent)

### askToRun

    public static boolean askToRun(javax.swing.JComponent parent)

### getPathFromDialog

    public static java.lang.String getPathFromDialog(java.lang.String path)